"use strict";

var addReviewsMain =
{
	setup: function()
	{
		this.addReviews();
		this.addReviewsByFile();
	},
	
	addReviews: function()
	{
		var $ = jQuery;
		
		$('#save-review-btn').on('click', function() {
			
			if ($('#review').val() === '' && $('#reviewer').val() === '')
			{
				$('#success').html('<div class="saveFailure">Please enter a review, and a reviewer</div>');
			}
			else if ($('#review').val() === '')
			{
				$('#success').html('<div class="saveFailure">Please enter a review</div>');
			}
			else if ($('#reviewer').val() === '')
			{
				$('#success').html('<div class="saveFailure">Please enter a reviewer</div>');
			}
			else
			{
				var data = {
					action   : 'storeReview',
					review   : $('#review').val(),
					reviewer : $('#reviewer').val(),
					stars    : $('#stars').val()
				};

				var ajaxurl = '/wp-admin/admin-ajax.php';

				$.post(ajaxurl, data, function(response) {
					$('#success_manual').html('<div class="saveSuccess">' + response + '</div>');
					$('#review').val('');
					$('#reviewer').val('');
					$('#stars').val('5');
				});
			}

		});
	},

	addReviewsByFile: function()
	{
		
	}
};

jQuery(function(){
	addReviewsMain.setup();
});