"use strict";

jQuery( function() {
	var reviewMain = new ReviewMain();

	var $ = jQuery,
		fr_animation = "<?=get_option( 'fr_animation' ); ?>",
		fr_border_width = "<?=get_option( 'fr_border_width' ); ?>",
		fr_border_color = "<?=get_option( 'fr_border_color' ); ?>",
		fr_border_radius = "<?=get_option( 'fr_border_radius' ); ?>",
		fr_background_color = "<?=get_option( 'fr_background_color' ); ?>",
		fr_show_stars = "<?=get_option( 'fr_show_stars' ); ?>",
		fr_review_color = "<?=get_option( 'fr_review_color' ); ?>",
		fr_review_ital = "<?=get_option( 'fr_review_ital' ); ?>",
		fr_reviewer_color = "<?=get_option( 'fr_reviewer_color' ); ?>",
		fr_reviewer_ital = "<?=get_option( 'fr_reviewer_ital' ); ?>",
		italReview = '',
		italReviewer = '',
		reviewColor = 'color: ' + fr_review_color + ';',
		reviewerColor = 'color: ' + fr_reviewer_color + ';',
		theBorder = 'border: ' + fr_border_width + 'px solid ' + fr_border_color + '; border-radius: ' + fr_border_radius + 'px;',
		backgroundColor =  'background: ' + fr_background_color + ';';

	if ( fr_show_stars === 'yes' ) {
		$( '.rating-container' ).attr( 'style', 'display:block' );
	} else {
		$( '.rating-container' ).attr( 'style', 'display:none' );
	}

	if ( fr_review_ital === 'yes' ) {
		italReview = ' font-style: italic;';
	}

	if ( fr_reviewer_ital === 'yes' ){
		italReviewer = ' font-style: italic;';
	}

	$( '.review' ).attr( 'style', reviewColor + italReview );
	$( '.reviewer' ).attr( 'style', reviewerColor + italReviewer );
	$( '.review-box' ).attr( 'style', theBorder + backgroundColor );

	reviewMain.showFirst( fr_animation );
});
