<div id="fr_header">
  <img src="/wp-content/plugins/bp_fancy_reviews/images/fancy_reviews_icon.png">BP Fancy Reviews
</div>

<div class="wrap">

<h2>BP Fancy Reviews Settings</h2>
<p>Change the reviews settings (i.e. background golors etc.) here.<br>
Don't forget to Preview it before Saving or the settings might not show up.<br>
After you Save the settings hard refresh this page to see the changes here.<br>
(To hard refresh your screen press "ctrl + F5" for PC or "cmd +r" on Mac}</p>
</div>

<div class="preview-box"></div>
<div class="success"></div>


<form action="#fr_settings_form" method="post" id="fr_settings_form">

	<div class="fr-btn settings-btn transition" id="prev-btn">Preview Changes</div>
	
	<div class="fr-btn settings-btn transition" id="save-settings-btn">Save Settings</div>

	<div class="settings-box">
		<label>Review-box Animation</label><br> <!-- echo $fr_animation ; -->
		<select name="pickAnimation" id="pickAnimation">
			<option value="curveIn">Curve In</option>
			<option value="slideUpBounce">Slide Up Bounce</option>
			<option value="slideUp">Slide Up</option>
			<option value="slideDown">Slide Down</option>
			<option value="fadeIn">Fade In</option>
			<option value="fadeInSlow">Fade In Slow</option>
			<option value="blurIn">Blur In</option>
			<option value="moveInLeft">Move In Left</option>
			<option value="flipX">Flip X</option>
			<option value="fadeFlipX">Fade Flip X</option>
			<option value="pullLeftIn">Pull Left In</option>
			<option value="pullRightIn">Pull Right In</option>
			<option value="raiseIn">Raise In</option>
			<option value="slideIn">SlideIn</option>
		</select>
		Select how you want the reviews to look coming onto the page

		<!-- <div class="preview-btn transition" id="anim-prev-btn">Preview Animation</div> -->
	</div>

	<div class="settings-box">
		<label>Border Settings</label><br>
		<input type="number" name="borderWidth" value="<? echo $fr_border_width; ?>" id="borderWidth" min="0" max="15"> (0-15 Higher the number -> thicker the border)<br>
		<input type="text" name="borderColor" value="<? echo $fr_border_color; ?>" id="borderColor">Enter Hex ("#FF0000") or RGBA ("rgba(255,0,0,0.5)")<br>
		<input type="number" name="borderRadius" value="<? echo $fr_border_radius; ?>" id="borderRadius" min="0" max="35"> (0-35 Higher the number -> rounder corners)

		<!-- <div class="preview-btn transition" id="border-prev-btn">Preview Border</div> -->
	</div>

	<div class="settings-box">
		<label>Background Color</label><br>
		<input type="text" name="backgroundColor" value="<? echo $fr_background_color; ?>" id="backgroundColor">Enter Hex ("#FF0000") or RGBA ("rgba(255,0,0,0.5)")<br>
	<!-- <input type="text" name="reviewColor" id="reviewColor2"> -->

		<!-- <div class="preview-btn transition" id="backgroundColor-prev-btn">Preview Background</div> -->
	</div>

	<div class="settings-box"> <!-- echo $fr_show_stars; -->
		<label>Stars</label><br>
		<input type="checkbox" name="showStars" id="showStars" value="showStars">Show Stars
		<input type="hidden" name="showStarsChecked" id="showStarsChecked" value="yes">

		<!-- <div class="preview-btn transition" id="reviewerColor-prev-btn">Preview Reviewer Color</div> -->
	</div>

	<div class="settings-box"> <!-- echo $fr_review_ital; -->
		<label>Review</label><br>
		<input type="text" name="reviewColor" value="<? echo $fr_review_color; ?>" id="reviewColor" >Enter Hex ("#FF0000") or RGBA ("rgba(255,0,0,0.5)")<br>
		<input type="checkbox" name="italReview" id="italReview" value="italReview" ><em>Italicise the review</em>
		<input type="hidden" name="italReviewChecked" id="italReviewChecked" value="no">

		<!-- <div class="preview-btn transition" id="reviewColor-prev-btn">Preview Review Color</div> -->
	</div>

	<div class="settings-box"> <!-- echo $fr_reviewer_ital; -->
		<label>Reviewer</label><br>
		<input type="text" name="reviewerColor" value="<? echo $fr_reviewer_color; ?>" id="reviewerColor">Enter Hex ("#FF0000") or RGBA ("rgba(255,0,0,0.5)")<br>
		<input type="checkbox" name="italReviewer" id="italReviewer" ><em>Italicise the reviewer</em>
		<input type="hidden" name="italReviewerChecked" id="italReviewerChecked" value="yes">

		<!-- <div class="preview-btn transition" id="reviewerColor-prev-btn">Preview Reviewer Color</div> -->
	</div>
</form>

<?
    wp_enqueue_script( 'settings-review-main', plugins_url( '../js/settings-page-main.js', __FILE__ ), array( 'jquery' ), $version, true );

?>